import { BuildStorage } from 'axios-cache-interceptor';

type RedisDriverProps = {
    port: number;
    host: string;
    keyPrefix?: string;
    keySuffix?: string;
    delimiter?: ':' | '-' | '_';
};
declare function makeRedisDriverStorage({ port, host, keyPrefix, keySuffix, delimiter }: RedisDriverProps): BuildStorage;

export { RedisDriverProps, makeRedisDriverStorage };
